﻿// Create New STEP-NC Process using C#
// ========================================
//
// This C# project calls the STEP-NC API using the .NET interface.  It
// creates a small machining program with a few toolpath moves.
//
// You can find more examples and other documentation at:
//
//	http://www.steptools.com/support/
//

using System;
using System.Collections.Generic;
using System.Text;
using STEPNCLib;

namespace stepnc_hello
{
    class Program
    {
	static void Main(string[] args)
	{
	    // Create a trivial STEP-NC file
	    AptStepMaker apt = new AptStepMaker();
	    apt.PartNo("test part");
	    apt.DefineTool(0.25, 5.0, 1.0, 2.0, 3.0, 4.0, 5.0);
	    apt.LoadTool(1);
	    apt.Rapid();
	    apt.GoToXYZ("point001", 1.0, 12.0, 0.0);
	    apt.GoToXYZ("point002", 1.0, 14.0, 0.0);
	    apt.SaveAsModules("test");
	}
    }
}
